Summary:	OpenSLP implementation of Service Location Protocol V2
Summary(de):	Open source Implementierung des Service Location Protocols V2
Summary(es):	Implementacin open source del Service Location Protocol V2
Summary(fr):	Implmentation Open Source du Service Location Protocol V2
Summary(it):	Implementazione open source del Service Location Protocol V2
Summary(pl):	Otwarta implementacja Service Location Protocol V2
Summary(pt):	Implementao 'open source' do protocolo Service Location Protocol V2
Name:		openslp
Version:	1.0.11
Release:	5
License:	LGPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/openslp/%{name}-%{version}.tar.gz
# Source0-md5: 0ec965956ad1f66850f050b19c828b55
Source1:	%{name}.init
Patch0:		%{name}-opt.patch
URL:		http://www.openslp.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7c
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libopenslp1

%define		_sysconfdir		/etc/openslp

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as
defined by RFC 2608 and RFC 2614. This package includes libraries.

%description -l de
Das Service Location Protocol ist ein IETF standard Protokoll welches
ein Gerst bereitstellt um es Netzwerk-fhigen Anwendungen zu
ermglichen die Existenz, den Ort und die Konfiguration von
Netzwerkdiensten in Unternehmensnetzwerken zu entdecken.

%description -l es
El Protocolo de Localizacin de Servicios es un protocolo de
seguimiento acorde al estndar IETF que proporciona un entorno para
permitir a las aplicaciones de red descubrir la existencia,
localizacin y configuracin de servicios de red en redes
empresariales.

%description -l fr
Service Location Protocol est un protocole de suivi des normes IETF
qui fournit un cadre permettant  des applications rseau de dcouvrir
l'existence, l'emplacement et la configuration de services de rseau
dans les rseaux d'entreprise.

%description -l it
Il Service Location Protocol (protocollo di localizzazione di servizi)
 un protocollo standard IETF che fornisce un'infrastruttura per
permettere alle applicazioni di rete di scoprire l'esistenza, la
localizzazione e la configurazione dei servizi nelle reti delle
aziende.

%description -l pl
Service Location Protocol jest zgodnym ze standardem IETF protokoem
pozwalajcym aplikacjom sieciowym na badanie istnienia, pooenia i
konfiguracji usug sieciowych.

OpenSLP jest otwart implementacj protokou SLPv2 zdefiniowanego w
RFC 2608 i RFC 2614. Ten pakiet zawiera biblioteki.

%description -l pt
O Service Location Protocol  um protocolo normalizado pelo IETF que
oferece uma plataforma para permitir s aplicaes de rede que
descubram a existncia, localizao e a configurao dos servios de
rede nas redes duma empresa.

%package server
Summary:	OpenSLP server working as SA and DA
Summary(pl):	Serwer OpenSLP dziaajcy jako SA i DA
Group:		Networking/Daemons
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}

%description server
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as
defined by RFC 2608 and RFC 2614. This package includes the daemon.

%description server -l pl
Service Location Protocol jest zgodnym ze standardem IETF protokoem
pozwalajcym aplikacjom sieciowym na badanie istnienia, pooenia i
konfiguracji usug sieciowych.

OpenSLP jest otwart implementacj protokou SLPv2 zdefiniowanego w
RFC 2608 i RFC 2614. Ten pakiet zawiera demona.

%package devel
Summary:	OpenSLP development files
Summary(pl):	Cz OpenSLP dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libopenslp1-devel

%description devel
OpenSLP development files.

%description devel -l pl
Pliki nagwkowe OpenSLP.

%package static
Summary:	OpenSLP static libraries
Summary(pl):	Biblioteki statyczne OpenSLP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
OpenSLP static libraries.

%description static -l pl
Biblioteki statyczne OpenSLP.

%prep
%setup -q
%patch -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-slpv1 \
	--enable-slpv2-security \
	--disable-predicates

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/slpd

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add slpd
if [ -r /var/lock/subsys/slpd ]; then
	/etc/rc.d/init.d/slpd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/slpd start\" to start OpenSLP server."
fi


%preun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/slpd ]; then
		/etc/rc.d/init.d/slpd stop
	fi
	/sbin/chkconfig --del slpd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%dir %{_sysconfdir}
%config %{_sysconfdir}/slp.conf
%config %{_sysconfdir}/slp.reg
%config %{_sysconfdir}/slp.spi
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files server
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/slpd
%attr(755,root,root) %{_sbindir}/slpd

%files devel
%defattr(644,root,root,755)
%doc doc/*
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Mon Apr 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openslp.git;a=log;h=AC-branch

* Mon Apr 27 2015 Elan Ruusamäe <glen@delfi.ee> ba60cab
- release 5 (by relup.sh)

* Sun Feb 29 2004 Jakub Bogusz <qboosh@pld-linux.org> f9ce3ed
- fix for new bug

* Wed Oct 01 2003 Jakub Bogusz <qboosh@pld-linux.org> baa3183
- fixed double "c" addition

* Tue Sep 30 2003 eothane <eothane@pld-linux.org> 4cf3c87
- ahh, what the hell: openssl 0.9.7c

* Tue Sep 30 2003 eothane <eothane@pld-linux.org> ee6f680
- openssl 0.9.7c
- next release

* Mon Jul 07 2003 ankry <ankry@pld-linux.org> 8288566
- fixed previous change

* Thu Jul 03 2003 ankry <ankry@pld-linux.org> 7bd8431
- allow some actions when network is down

* Sun May 25 2003 ankry <ankry@pld-linux.org> 5b77147
- LSB conformance

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 9c1276f
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 491475c
- massive attack s/pld.org.pl/pld-linux.org/

* Wed May 07 2003 ankry <ankry@pld-linux.org> 07e3442
- killed my previous bogus "fixes"

* Tue May 06 2003 ankry <ankry@pld-linux.org> d655eef
- updated

* Fri May 02 2003 ankry <ankry@pld-linux.org> c4a909d
- rel. 3

* Sat Apr 19 2003 kloczek <kloczek@pld-linux.org> dfa14eb
- added libopenslp1{,--devel} to Obsoletes for allou upgrade from MDK.

* Fri Apr 18 2003 Jakub Bogusz <qboosh@pld-linux.org> 9b4c296
- added opt patch: don't override opts with -O3, kill unnecessary -lnsl -lresolv
- changed Requires(): rc-scripts to PreReq (needed not only during installation)

* Thu Apr 17 2003 Artur Frysiak <artur@frysiak.net> b87694b
- move deamon to subpackage
- move nondevelopment doc to main package
- release 2

* Tue Apr 15 2003 Artur Frysiak <artur@frysiak.net> 8cf50f5
- updated 1.0.11

* Tue Apr 08 2003 Jakub Bogusz <qboosh@pld-linux.org> 69ff5b7
- use http for sources from sourceforge

* Mon Apr 07 2003 adgor <adgor@pld-linux.org> bc7d265
- Fixed status case

* Thu Feb 13 2003 juandon <witekfl@pld-linux.org> d1be178
- force to use openssl >= 0.9.7, idea by kloczek

